Debian Bug report logs - #260200
BUG: cvs pserver skip password checking

version graph

Package: cvs; Maintainer for cvs is Thorsten Glaser <tg@mirbsd.de>; Source for cvs is src:cvs.

Reported by: "Maks N. Polunin" <ph0enix@ngs.ru>

Date: Mon, 19 Jul 2004 10:03:04 UTC

Severity: normal

Tags: fixed

Found in version 1.11.1p1debian-9woody7

Fixed in version 1.11.1p1debian-10

Done: Steve McIntyre <steve@einval.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve McIntyre <93sam@debian.org>:
Bug#260200; Package cvs. Full text and rfc822 format available.

Acknowledgement sent to "Maks N. Polunin" <ph0enix@ngs.ru>:
New Bug report received and forwarded. Copy sent to Steve McIntyre <93sam@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Maks N. Polunin" <ph0enix@ngs.ru>
To: submit@bugs.debian.org
Cc: Steve McIntyre <93sam@debian.org>
Subject: BUG: cvs pserver skip password checking
Date: Mon, 19 Jul 2004 16:56:05 +0700
Package: cvs
Version: 1.11.1p1debian-9woody7

create a pserver cvs repository as described in docs
add CVSROOT/passwd entries
maks:<password hash>:cvs
cvs is a real user on the system
add to /etc/cvs-repouids
/path/to/cvs:cvs

that's all
after logining to pserver password checking is skipped since there is
user override.
original cvs sources don't have this problem
  

With Best Regards,
    Maks Polunin
E-Mail: ph0enix@ngs.ru
ICQ #:18265775




Tags added: fixed Request was from Steve McIntyre <93sam@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Steve McIntyre <93sam@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve McIntyre <steve@einval.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Maks N. Polunin" <ph0enix@ngs.ru>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 260200-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: 260200-done@bugs.debian.org
Subject: Closed long ago...
Date: Sun, 13 Nov 2005 00:48:26 +0000
Version: 1.11.1p1debian-10

This was closed in a security NMU.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
You raise the blade, you make the change... You re-arrange me 'til I'm sane...




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 07:31:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:26:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.